/***************************************************************/
//
//
//		DirectX	[ filemanager.cpp ]
//
//											Author	kazuki tanaka
//											Date	2017 6/1
/*---------------------------------------------------------------
■Update : 2017/6/1
			filemanager.cppの作成

/*---------------------------------------------------------------
	Include File
---------------------------------------------------------------*/

#define _CRT_SECURE_NO_WARNINGS

#include <stdio.h>
#include <stdlib.h>

#include "file_manager.h"


/*---------------------------------------------------------------
	Macro Difinition
---------------------------------------------------------------*/


/*---------------------------------------------------------------
	Const Number Difinition
---------------------------------------------------------------*/


/*----------------------------------------------------------------
	static member variable Initialize 
----------------------------------------------------------------*/

FileManager* FileManager::pManager = nullptr;




// FileManager Constructor
FileManager::FileManager( )
{

	// Menber Clear Process

}

// FileManager Destructor
FileManager::~FileManager( )
{

	// Do Nothing!!

}

// FileManager Create Instance 
FileManager* FileManager::Create( void )
{

	// Create Class Instance
	FileManager* pObject;
	pObject = new FileManager;

	return pObject;

}

// FileManager Initialize
void FileManager::Init( void )
{

	// Initialize Process


}

// FileManager Uninitialize
void FileManager::Uninit( void )
{

	// Uninitialize Process


}

// FileManager Update
void FileManager::Update( void )
{

	// Update Process


}

// FileManager Draw
void FileManager::Draw( void )
{

	// Draw Process


}

// FileManager GetCharData
static char* LoadFileCharData( const char* filename )
{

	FILE* pfile;

	if( !(pfile = fopen( filename, "rt" )) ){
		fclose(pfile);
		return nullptr;

	}else{

		// ファイルサイズ取得
		fseek( pfile, 0, SEEK_END );
		unsigned int size = ftell( pfile );						// ファイルサイズ取得
		fseek( pfile, 0, SEEK_SET );

		// バッファ確保
		char* buf = new char[ size ]; 

		// ファイル読み込み
		fread( buf, size, 1, pfile );
		fclose(pfile);

		return buf;
	}

}





